<template>
  <div class="flex gap-3 p-4 w-fit items-center">
    <svn-dropdown
      :items="items"
      :closeOnContentCLick="closeOnContentCLick"
    >
      <template #activator>
        <slot name="activator">
          <svn-icon-button
            variant="plain"
            icon="ic:baseline-more-vert"
          />
        </slot>
      </template>

      <template #dropdown>
        <slot name="dropdown" />
      </template>
    </svn-dropdown>
  </div>
</template>

<script setup>

const props = defineProps({
  items: { type: Array, default: () => [] },
  closeOnContentCLick: { type: Boolean, default: true },
})
</script>

<style scoped>

</style>